% !TEX root = ../main.tex

\usepackage[
	maxnames=99,
	style=alphabetic,
	citestyle=numeric,
	maxalphanames=3,
	minalphanames=3,
	sorting=nyt,
	backref=false,
	maxcitenames=1,
]{biblatex}
\usepackage{csquotes}

\DefineBibliographyStrings{english}{
	backrefpage = {page},
	backrefpages = {pages}
}

\renewcommand*{\labelalphaothers}{$^+$}
%\renewcommand*{\bibfont}{\footnotesize}

\AtEveryBibitem{%
	\clearfield{url}
	\clearfield{doi}
	\ifentrytype{article}{
		\clearname{editor}
		\clearfield{issn}
		\clearfield{pages}
	}{}
	\ifentrytype{inbook}{
		\clearname{editor}
	}{}
	\ifentrytype{incollection}{
		\clearfield{isbn}
	}{}
	\ifentrytype{inproceedings}{
		\clearfield{address}
		\clearname{editor}
		\clearfield{eprint}
		\clearfield{isbn}
		\clearlist{location}
		\clearlist{publisher}
		\clearfield{pages}
		\clearfield{series}
		\clearfield{volume}
	}{}
	\ifentrytype{proceedings}{
		\clearfield{isbn}
	}{}
}

\addbibresource{bibliography.bib}

% Adapted from /usr/share/texmf-dist/tex/latex/biblatex/bbx/standard.bbx:26 (article)
\DeclareBibliographyDriver{contributions}{%
	\usebibmacro{author/translator+others}%
	\setunit{\printdelim{nametitledelim}}\newblock
	\usebibmacro{title}%
	\iffieldundef{booksubtitle}{}{\printfield{booksubtitle} \printfield{year}}%
	\iffieldundef{journaltitle}{}{\printfield{journaltitle}, \printfield{year}}%
	\newunit\newblock
	\finentry}


\DeclareBibliographyDriver{inproceedings}{%
	\usebibmacro{bibindex}%
	\usebibmacro{begentry}%
	\usebibmacro{author/translator+others}%
	\setunit{\printdelim{nametitledelim}}\newblock
	\usebibmacro{title}%
	\newunit\newblock
	\usebibmacro{byauthor}%
	\newunit\newblock
	\usebibmacro{in:}%
	\printfield{booktitle}%
	\iffieldundef{booksubtitle}{ \printfield{year}}{ (\printfield{booksubtitle} \printfield{year})}%
	\iffieldundef{eventtitle}{}{ at \printfield{eventtitle}}%
	\newunit\newblock
	\printfield{series} %
	\iffieldundef{maintitle}
	  {\printfield{volume}%
	   \printfield{part}}
	  {}%
	\newunit
	\printfield{volumes}%
	\newunit\newblock
	\printfield{note}%
	\newunit\newblock
	\printlist{organization}%
	\newunit\newblock
	\usebibmacro{chapter+pages}%
	\newunit\newblock
	\usebibmacro{doi+eprint+url}%
	\newunit\newblock
	\usebibmacro{addendum+pubstate}%
	\setunit{\bibpagerefpunct}\newblock
	\usebibmacro{pageref}%
	\usebibmacro{finentry}}

\newcommand{\wrapcite}[1]{\textcolor{black100!50}{\scriptsize #1}}
\newcommand{\wrapciteown}[1]{\textcolor{blue100}{\scriptsize #1}}
\DefineBibliographyStrings{english}{andothers = {\!$^+$}}
\DeclareNameFormat{family-only}{\namepartfamily\usebibmacro{name:andothers}}
\renewcommand*{\bibfont}{\scriptsize}

\DeclareCiteCommand{\cite}[\wrapcite]
	{[}
	{\bibhyperref{\printnames[family-only]{author} \printfield{year}}}
	{] [}
	{]}
\DeclareCiteCommand{\citeown}[\wrapciteown]
	{[}
	{\bibhyperref{%
	\iffieldundef{booksubtitle}{}{\printfield{booksubtitle}}%
	\iffieldundef{shortjournal}{}{\printfield{shortjournal}}%
	~\printfield{year}}}
	{] [}
	{]}
\DeclareCiteCommand{\citethesis}[\wrapciteown]
	{[}
	{\bibhyperref{\printnames[family-only]{author} \printfield{year}}}
	{] [}
	{]}

\setlength{\biblabelsep}{-0.6cm}
\setlength\bibitemsep{0.5\itemsep}
